# SKM-TEA Model Zoo and Baselines

## Introduction
This file is a running document of baselines and state-of-the-art models for the SKM-TEA v1 dataset.


### Reconstruction Baselines

| Name                       | Input        | Train Acc.   | Description                                        | Download                                                                                                                                                                                                                                                                                                                                                                                    |
|:---------------------------|:-------------|:-------------|:---------------------------------------------------|:--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Unrolled E1 (6x)           | E1           | 6x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1Dv0PPCaV6FeWlVJkFqLDBsginEFacg64?usp=sharing) \| [cfg](https://drive.google.com/file/d/1k6-2J5pRP_C31fVPZNRabKInJyy968Sg/view?usp=sharing) \| [model](https://drive.google.com/file/d/1a2i9imBnAZTx9cWAdz7vncwT9aM7kvxw/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1o5wkgP04-7saoxH52P2wg_qI8MZlM8NS/view?usp=sharing) |
| Unrolled E2 (6x)           | E2           | 6x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1D-ACJJMxLERT-MNAuBRVBAuRYj-HJ5aP?usp=sharing) \| [cfg](https://drive.google.com/file/d/122vp0sdU6Ny-4Ev_tUN5fD4Illc42XOL/view?usp=sharing) \| [model](https://drive.google.com/file/d/1dpaEjliKHW0mC4A3cNqALFQARC0flGxO/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1n1fGSpitSDT2VE4fDY7iQZiu69bxU3Ou/view?usp=sharing) |
| Unrolled E1+E2 (6x)        | E1+E2        | 6x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1zCCQ7Pzk5maSzGTQGUHvkbOOwnvjlukh?usp=sharing) \| [cfg](https://drive.google.com/file/d/1pZVU-T9lH0t6LXSNZ7rKj_mcMBVovIlu/view?usp=sharing) \| [model](https://drive.google.com/file/d/1Hvsbtm8m16JO4rx50qRK_AXUHQoXo7xq/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1BhxaL2_d5xJDUpjQJ4emdkmR_8qVI__d/view?usp=sharing) |
| Unrolled E1$\oplus$E2 (6x) | E1$\oplus$E2 | 6x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1futrwXxtnUUW6JnA9re1o-VdcEdtYoUJ?usp=sharing) \| [cfg](https://drive.google.com/file/d/1228JtnIYP_ajlJyJz2qtup6lhGwmBwAs/view?usp=sharing) \| [model](https://drive.google.com/file/d/1XulPgi_sR4B_07ZDTxfwLZ8iinsUjT0S/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/13FD3ocHtIlVyda5Ha_pZcuU4uxpJhnuM/view?usp=sharing) |
| U-Net E1 (6x)              | E1           | 6x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1rZthIOWDfvTNlLr3ynhpLRSXNY_LIrd2?usp=sharing) \| [cfg](https://drive.google.com/file/d/1J_9lYWRUVAhmSUR2hObHkBfARYVH94jD/view?usp=sharing) \| [model](https://drive.google.com/file/d/1UcQGY1bjK-W8XS_51xJE6QmqxwHrVQnt/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/12JJPa788qy2XFUX87WqkNuyJfrM2gTED/view?usp=sharing) |
| U-Net E2 (6x)              | E2           | 6x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1f1NE4kvUkP_5R_IHxbLksE8iEUJA9Voj?usp=sharing) \| [cfg](https://drive.google.com/file/d/1XrFaVJ1YsPFKNMOecwPZG5GyguhW4GN0/view?usp=sharing) \| [model](https://drive.google.com/file/d/1Gohe-z2FIOfKuTPs_-LNHI6-qSDc1RrS/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1N27sOLxe0AGnOAmSBT0o4hcwYRGV5KEx/view?usp=sharing) |
| U-Net E1+E2 (6x)           | E1+E2        | 6x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1ns0ldQvJ9VRjNUylJzBV8H2Gvwc2srUS?usp=sharing) \| [cfg](https://drive.google.com/file/d/1uEb1xqwUfpV6M01aQYk4D3l7MEOGmbww/view?usp=sharing) \| [model](https://drive.google.com/file/d/1RhWfZRCzb0Ef8rxbR9HCS2cJoi3bZRR4/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1g87UEMymP-oC9ioog3VqCDmaALq9XXfL/view?usp=sharing) |
| U-Net E1$\oplus$E2 (6x)    | E1$\oplus$E2 | 6x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1SAj21yNGh_WwaUxH2dEIokSbDx4Pugm1?usp=sharing) \| [cfg](https://drive.google.com/file/d/1rUzwAsRu0nv_lP9YS7xOKNw8-NXjezUG/view?usp=sharing) \| [model](https://drive.google.com/file/d/12HFqGNMU-8P3LPlHiHrjieiSieb_fToJ/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1_HDk5lJ08t4zQnuHYzpgN8a7o4u_4KZ4/view?usp=sharing) |
| Unrolled E1 (8x)           | E1           | 8x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1CEIxoVjUxZ_hBOS6pL6mFIfeH8hTixhA?usp=sharing) \| [cfg](https://drive.google.com/file/d/1HlFG4b1Wqbco5FkCy3vk5WuMDdAJc7sg/view?usp=sharing) \| [model](https://drive.google.com/file/d/1FvDFaYHsSnd26Ai_DuGzYFox-Zu10yRx/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/11v2FFSEu7Cs15U7E_h9WTxhxVgVTltJ6/view?usp=sharing) |
| Unrolled E2 (8x)           | E2           | 8x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1NgJ93lthbng8TOJaXmu176CTOd2FrI2P?usp=sharing) \| [cfg](https://drive.google.com/file/d/1rjIkUlVJ6roHX0DrP582_4W7UzcJDdxD/view?usp=sharing) \| [model](https://drive.google.com/file/d/17U3bebm8N2YC0XL6mWZ3tnCmTdMEQYSY/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1kZHE16uHzqIVk6OX0GbH-V2LqMMefgtf/view?usp=sharing) |
| Unrolled E1+E2 (8x)        | E1+E2        | 8x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/1RGBJ6NsnBqN5HOH2lOAWkuJyLX7_XriP?usp=sharing) \| [cfg](https://drive.google.com/file/d/1iEJAelb67GLIwFrAtZzSB9LrS-nDYx-e/view?usp=sharing) \| [model](https://drive.google.com/file/d/1xggs2wbx6fY71QD9DkxhrwFtrn7XawfQ/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/19RC7BOca4xr4ted21uGNjhEaqYGXMEwM/view?usp=sharing) |
| Unrolled E1$\oplus$E2 (8x) | E1$\oplus$E2 | 8x           | 8 resblocks,<br>256 channels each                  | [gdrive](https://drive.google.com/drive/folders/16-qr-GDQxEzcZM8WTRXYHumi7Wlo7FAk?usp=sharing) \| [cfg](https://drive.google.com/file/d/16QFx_vB684POtsdajrU0DIJMfwPiehj5/view?usp=sharing) \| [model](https://drive.google.com/file/d/1-g6iQqfl2t0aJ5iTKPFzlsEn-_fzW0yz/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1Kdl-ojrx2aTGarndc4O7F5L47fHZ0tNK/view?usp=sharing) |
| U-Net E1 (8x)              | E1           | 8x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1-RGY-wJ1Kp0YQRPa_UoAZxs552_OUeR9?usp=sharing) \| [cfg](https://drive.google.com/file/d/1n5EY5ywO0WJERN_K5Q8mv7oRK35I4UZS/view?usp=sharing) \| [model](https://drive.google.com/file/d/10qa0T4zVdgzTJTeN3l7l7dlPrvn1YjyO/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1lBgJ5BektRVQSxHDsHW5VQglypUdx2YT/view?usp=sharing) |
| U-Net E2 (8x)              | E2           | 8x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1NA2g5d2fKgvy2IWDfamAF37DK125IQEJ?usp=sharing) \| [cfg](https://drive.google.com/file/d/1RZ-Zl7KpgA3cUAA7HQ5KoKE8VmpERdHB/view?usp=sharing) \| [model](https://drive.google.com/file/d/12h92EhVdB-lQhlOlRVfLMSEvhYblkkx1/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1ZjSCstbsRovB3PDlJQ6-Qyc5OU6sBP6z/view?usp=sharing) |
| U-Net E1+E2 (8x)           | E1+E2        | 8x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/1TUx3oXpqSfvGEcR9IroOYhHmwpl-L7D2?usp=sharing) \| [cfg](https://drive.google.com/file/d/1oFDxlEAMp0QNagPw_P5xk8q56M_NkAsU/view?usp=sharing) \| [model](https://drive.google.com/file/d/1lm3V4VIrtpqmLstXi_wWqkw7pqK8LD1_/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1p5x6Lac72yvMBoFM9ZQuLAH9Fgv9fout/view?usp=sharing) |
| U-Net E1$\oplus$E2 (8x)    | E1$\oplus$E2 | 8x           | 4 pooling, 32 base channels, leaky-relu activation | [gdrive](https://drive.google.com/drive/folders/16SqSLTgMYOwhWm2qyHF19BzmSLHGbexw?usp=sharing) \| [cfg](https://drive.google.com/file/d/1HoLlOsDZObPQxd0WCN9HidLT3s2Pkhz1/view?usp=sharing) \| [model](https://drive.google.com/file/d/1I0QqXwjhISyw6t-SW1IfOG3Bjzinw9xv/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1pDRmn_hTkM44GhVkuw_C6nWVTqK3PX6k/view?usp=sharing) |


### Segmentation Baselines
| Name               | Input        | Description                     | Download                                                                                                                                                                                                                                                                                                                                                                                    |
|:-------------------|:-------------|:--------------------------------|:--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| V-Net E1           | E1           | Monai v0.5.3                    | [gdrive](https://drive.google.com/drive/folders/1xth7If-Rlf7adimdhYPxtmyYqb3OUT4q?usp=sharing) \| [cfg](https://drive.google.com/file/d/1Mr47bkeeqoF-JZxus3bX6KOcd08x7nD8/view?usp=sharing) \| [model](https://drive.google.com/file/d/1tA2yeDf690dWctqysnlED1smxjU0eQJM/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1RHQY-p8IXR7tSNNhLL93aFZPXdAHYkHf/view?usp=sharing) |
| V-Net E2           | E2           | Monai v0.5.3                    | [gdrive](https://drive.google.com/drive/folders/1SUTPvYR5k_uHY9HpqPiCepKaSPYxu2kv?usp=sharing) \| [cfg](https://drive.google.com/file/d/126oT8N-ZMaubiSRgOX6ijL5VO_cMibUV/view?usp=sharing) \| [model](https://drive.google.com/file/d/1eFZryJZA2kF0ICUrFfskXHSm2_gj_hbD/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1Cwap5LKPZeqQwecQ1FLgIZVXiIwuJu4O/view?usp=sharing) |
| V-Net E1$\oplus$E2 | E1$\oplus$E2 | Monai v0.5.3                    | [gdrive](https://drive.google.com/drive/folders/11gTpuOrkOlFw1a3v145J2JspjQOvVUDB?usp=sharing) \| [cfg](https://drive.google.com/file/d/1DTSfmaGu2X9CpE5qW52ux63QrIs9L0oa/view?usp=sharing) \| [model](https://drive.google.com/file/d/1no9-COhdT2Ai3yuxXpSYMpE76hbqZTWn/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1scO6E91Ln5NjCuTlbI4ZdwLAPGJFwFVw/view?usp=sharing) |
| V-Net RSS          | RSS          | Monai v0.5.3                    | [gdrive](https://drive.google.com/drive/folders/1D9I_TeTpADZyCmU4WhU2k8INFos4Ju6w?usp=sharing) \| [cfg](https://drive.google.com/file/d/1EhnLjJ71aTYO6VLvKpNoyWockaTtFI4z/view?usp=sharing) \| [model](https://drive.google.com/file/d/1s9sKUWG6szFQs_0IEGqGuhSImeNhEyjx/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/13IWA4tVMbKCsj_cepmJf5rXsObYTiaui/view?usp=sharing) |
| U-Net E1           | E1           | 5 pooling layers, 32^p channels | [gdrive](https://drive.google.com/drive/folders/1cHxXodWoZLj2aAeYOhB52TnSv2ifhZ4T?usp=sharing) \| [cfg](https://drive.google.com/file/d/1z-fN626jAfc3-iRL5EvHvSD4vjvNJ84S/view?usp=sharing) \| [model](https://drive.google.com/file/d/1pM2RJLjwsMudV67xkWaUd1p_-Rm5Rj8Q/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1ZSZEI35JNYvc-UwcVbTu-MW_ec7lTm1w/view?usp=sharing) |
| U-Net E2           | E2           | 5 pooling layers, 32^p channels | [gdrive](https://drive.google.com/drive/folders/1sQQR-B_yhAew9gKzuBKmsWB4I2oOuFJL?usp=sharing) \| [cfg](https://drive.google.com/file/d/1BJc_lidyHyZvkFD4pLDfSH2Gp2gWXPww/view?usp=sharing) \| [model](https://drive.google.com/file/d/1EkSdXtnD_28_pjZeVFD6XtYugU7VM3jo/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1qchuTBcdvSFuYtAe1yVluGgEc7_IcaDg/view?usp=sharing) |
| U-Net E1$\oplus$E2 | E1$\oplus$E2 | 5 pooling layers, 32^p channels | [gdrive](https://drive.google.com/drive/folders/1n0_6e1-SBnQpLtD8pl3UBgo62mCHL4M7?usp=sharing) \| [cfg](https://drive.google.com/file/d/1G2xxnC-wUt2nVxjav4dMjHmxxvG_8rv3/view?usp=sharing) \| [model](https://drive.google.com/file/d/1Qz77A-yyHVE2SEKU7eKTYvsCrbQmOwzg/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/12eSwBqpHLVMwa2ldfWG955QmM-L0KAaa/view?usp=sharing) |
| U-Net RSS          | RSS          | 5 pooling layers, 32^p channels | [gdrive](https://drive.google.com/drive/folders/1WXnY6_Wym0Whdd2yDSQMP-ohEGoibHt1?usp=sharing) \| [cfg](https://drive.google.com/file/d/1HLOXapcKSqfVr_2mSxR_OlgUXyarkkNd/view?usp=sharing) \| [model](https://drive.google.com/file/d/1QAcdPSh1VQ967Q1loiiZRFo0JBZb5yIs/view?usp=sharing) \| [metrics](https://drive.google.com/file/d/1-KkJhsPWkNe6FrI9hyMI46OTYSIR8kJ6/view?usp=sharing) |